using Newtonsoft.Json.Linq;
using System.Collections.Generic;
using UnityEngine;

public abstract class DetectionModule : AngularModule {
	private float accuracy;

	public DetectionModule(JObject json) : base(json) {
		this.accuracy = (float)json["accuracy"];
	}

	public float getAccuracy() {
		return accuracy;
	}

	abstract public bool canDetect(ClassType type);

	override public void updateClasses() {
	}
}

public abstract class DetectionModuleData : AngularModuleData{
	public DetectionModuleData(int parent, Module template, float angleOffset, Vector position) : base(parent, template, angleOffset, position) {
	}
}